Notify document opened
POST /v1/sandbox/{sandboxID}/lsp/did-open
POST
/v1/sandbox/{sandboxID}/lsp/did-open
Notify the language server that a document was opened. Must be called before requesting completions or symbols.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sandboxID
required
string
Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
language_id
required
string
Example
python path_to_project
required
string
Example
/home/user/project uri
required
string
Example
file:///home/user/project/main.py text
Full document text.
string
version
Document version number.
integer
Example
1Responses
Section titled “ Responses ”Notification sent.
Bad request – validation error.
object
message
required
Summary message, e.g. “Invalid request”.
string
errors
required
Array<object>
object
field
required
JSON field name that failed validation (e.g. “path”, “command”).
string
error
required
Human-readable description of the validation failure.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string